Page MenuHomePhabricator

Implement Kartographer customization to match Wikivoyage existing map
Closed, ResolvedPublic

Description

Context
We need to simplify community's migration from the current wmflabs-hosted maps implementation to <mapframe>. For that, we should provide something similar to how it looks now, with similar behavior, using common.js and other similar mechanisms Mediawiki:Kartographer.{js,css} (since T133954).

Example
https://en.wikivoyage.org/wiki/Salzburg#Get_around
https://tools.wmflabs.org/wikivoyage/w/poimap2.php?lat=47.79990&lon=13.04288&zoom=15&layer=W&lang=en&name=Salzburg

EDIT 5/13/16: ( T132971#2294638 )
I created a github repository to share the prototype I have been working on:
https://github.com/juliengirault/wikivoyage-maps

EDIT 5/17/16: ( T132971#2302760 )
The prototype was deployed to English Wikivoyage this morning (.js, .css). See the Travellers' pub announcement.

Related Objects

Event Timeline

Yurik created this task.Apr 18 2016, 9:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 9:50 PM
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Apr 18 2016, 9:51 PM
JGirault updated the task description. (Show Details)May 14 2016, 2:46 AM

I created a github repository to share the prototype I have been working on:

https://github.com/juliengirault/wikivoyage-maps

Follow the README to install and generate the two files.
Then create Mediawiki:Kartographer.js and Mediawiki:Kartographer.css on your wiki and you should see the prototype.

Screenshots

Base map:

With Mapquest open tiles and Mapquest (labels) overlay:

Exciting news: the prototype was deployed to English Wikivoyage this morning, using MediaWiki:Kartographer.js and MediaWiki:Kartographer.css.

@Yurik made a public announcement in the Travellers' pub. We hope to collect the first feedback and start tracking and fixing bugs.

JGirault updated the task description. (Show Details)May 17 2016, 8:07 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 17 2016, 8:34 PM
Yurik added a comment.May 18 2016, 6:41 AM

First draft of the new Wikivoyage page is ready. The style of the boxes needs to be changed / moved into the CSS (otherwise it stays as blue, which is hard to see) -- I think it should be added to the Kartographer.css page: https://en.wikivoyage.org/wiki/User:Yurik/Sandbox/Salzburg

Yurik renamed this task from Prototype <mapframe> to match Wikivoyage existing map to Implement Kartographer customization to match Wikivoyage existing map.May 27 2016, 9:54 PM
Yurik moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik moved this task from Kartographer to Wiki-related on the Maps board.Jun 12 2016, 3:13 AM
JGirault added a comment.EditedJul 18 2016, 5:03 PM

@Yurik shall we consider this one resolved? what about the 2 sub-tasks?
Edit: I saw they are marked "in progress" :)

Yurik closed this task as Resolved.Jul 18 2016, 7:48 PM

@JGirault yep, lets close it, and make the other two patches depend on T134086